Lomadee, uma nova espécie na web. A maior plataforma de afiliados da América Latina.
» » » » » Belle Shell falha ao instalar ou iniciar. Por quê?


Belle Shell falha ao instalar ou iniciar. Por quê?

A maioria dos novos programas para Nokia Symbian telefones (incluindo Belle Shell e myExplorer) usar as Qt bibliotecas.Estas bibliotecas oferecem muito mais capaz e easy-to-use interface do programa que permite escrevendo programas melhores.

Em telefones mais novos ou telefones com Symbian Belle, as bibliotecas Qt (ou pelo menos a maioria deles) são pré-carregados no telefone e tudo Qt trabalho baseado em aplicações sem (grandes) problemas. No entanto, em telefones mais velhos, as bibliotecas Qt deve ser instalado no telefone antes de qualquer aplicativo baseado em Qt pode ser iniciado. Se você instalar o Qt baseada applicatin mas você não tem as bibliotecas Qt (ou eles não são a versão correta), o programa não será iniciado em tudo.

Nokia estão bem cientes deste problema e com todas as aplicações baseada em Qt que incluem um pequeno programa, chamado de Smart Installer . Smart Installer verifica se você tem telefone as bibliotecas Qt e se eles são uma versão mais antiga, ele baixa e instala a versão mais recente das bibliotecas Qt no seu telefone. Infelizmente, em muitos casos este processo falhar por uma razão ou outra, e do proprietário do telefone fica frustrado que ele (a) não é possível instalar ou executar o programa que é pago.

Este também é um grande problema para desenvolvedores de aplicativos, pois todo seu trabalho duro vai para nada se o usuário é capaz de instalar e executar o programa que eles criaram. Além disso, este cria um monte de opiniões negativas e desencoraja o desenvolvimento.

Leia abaixo para saber como baixar e instalar as bibliotecas Qt necessários manualmente. Uma vez que você fizer isso, qualquer aplicação baseada em Qt será instalado e executado no seu telefone.

NOTA: Este artigo é sobre os telefones Symbian S60v5 toque (Nokia 5800, Nokia 5230, Nokia 5530, Nokia N97, Nokia N97 mini, Nokia C5-03, Nokia C6, Nokia X6). Os novos telefones podem ser atualizados para Belle firmware, que tem as bibliotecas mais recentes Qt pré-carregadas.

Verifique se o seu telefone tem bibliotecas Qt

Primeiro, você precisa verificar se o seu telefone tem todas as bibliotecas Qt e qual é a sua versão. Para fazer isso, baixar e instalar um pequeno programa gratuito, chamado QtInfo . É muito pequeno e deve baixar e instalar muito rápido.

Depois QtInfo está instalado, inicie o programa. Se você não tem todas as bibliotecas Qt instalado, o programa irá mostrar uma mensagem de erro "Falha ao iniciar QtInfo (-1). Você tem Qt instalado?" . Se você tem bibliotecas Qt, o programa será executado por cerca de um minuto e, em seguida, será exibido um relatório com as versões de bibliotecas Qt, que são instalados no seu telefone.

A mais recente versão da biblioteca Qt principal para S60v5 telefones é 4.7.3. A última versão do QtMobility (ou apenas Mobilidade) é 1.1.3. Você deve ter o Qt e Mobilidade Qt para executar Belle Shell, myExplorer ea maioria dos programas baseados em Qt outros. Se você não tem um deles ou suas versões são mais baixas, você precisa fazer o download e instalá-los, conforme descrito abaixo.



Como instalar o Qt e Qt Mobility no seu telemóvel

AVISO: As instruções e os downloads abaixo são apenas para Symbian S60v5 telefones touch (Nokia 5800, Nokia 5230, Nokia 5530, Nokia N97, Nokia N97 mini, Nokia C5-03, Nokia C6, Nokia X6). Os telefones mais novos não irão trabalhar com essas bibliotecas Qt.

ATENÇÃO: Todas as bibliotecas Qt deve ser instalado no disco C: (memória do telefone) . Se você instalá-los em outro disco (por exemplo, o cartão de memória), não irá funcionar corretamente ou mais provavelmente não vai funcionar em tudo. Certifique-se de que você tem pelo menos 20 MB de espaço livre no disco C: antes de instalar as bibliotecas Qt.

Primeiro, você precisa baixar e instalar a biblioteca Qt principal, versão 4.7.3. O arquivo é de cerca de 13 MB e você pode baixá-lo aqui: http://www.milincorporated.com/downloads/qt/Qt-4.7.3-for-S605th.sis . A instalação vai continuar por alguns minutos e vai instalar um monte de componentes, então seja paciente. Em alguns telefones, pode exibir uma mensagem de erro e, nesse caso, certifique-se de optar por continuar com a instalação de qualquer maneira.

Agora, execute QtInfo novamente e ele deve exibir Qt versão 4.7.3 na tela.

Em seguida, faça o download e instalar a biblioteca Qt Mobility daqui:http://www.milincorporated.com/downloads/qt/QtMobility-1.1.3-for-S60v5.sis . É um pacote menor e vai instalar mais rápido. Após a instalação estiver concluída, execute QtInfo novamente e verifique a sua saída. A versão de mobilidade deve ser 1.1.3

Isso é tudo que você precisa. A maioria Qt aplicativo baseado agora vai instalar e executar sem problemas. Muito provavelmente Qt 4.7.3 e Qt Mobility 1.1.3 serão as últimas versões de bibliotecas Qt para S60v5 telefones, para que você não precise fazer isso novamente no futuro.


Fonte : Mobile Mil incorporado

—————————————————————————————————————— Lembrando que o SmartZap não hospeda nenhum tipo de pirataria, todos os apps aqui postado são encontrados na internet, apenas colocamos as informações sobre os apps e colocamos o link de onde ele foi encontrado. Caso estejamos violando alguma patente ou direitos autorais de algum de vocês ou de suas empresas, por favor nos avise que retiraremos a postagem do site.

Compartilhe :

Sobre SmartZap

Sou apaixonado por tecnologia, musica, filmes e series. e fundador do blog SmartZap.
«
Next
Postagem mais recente
»
Previous
Postagem mais antiga
Comentários
3 Comentários

3 comentários:

DEIXE UM COMENTÁRIO